// Copyright 2019 miruka
// This file is part of harmonyqml, licensed under LGPLv3.

import QtQuick 2.12
import QtQuick.Layouts 1.12
import "../Base"

HRectangle {
    id: sidePane

    // Avoid artifacts when collapsed
    clip: true

    readonly property bool reduced: width < 1
    readonly property bool collapsed:
        width < theme.sidePane.collapsedWidth + theme.spacing

    property int currentSpacing: collapsed ? 0 : theme.spacing

    Behavior on currentSpacing { HNumberAnimation {} }

    HColumnLayout {
        anchors.fill: parent

        AccountList {
            Layout.fillWidth: true
            Layout.fillHeight: true

            spacing: currentSpacing
            bottomMargin: currentSpacing
        }

        PaneToolBar {
            id: paneToolBar
        }
    }
}
